Package: org.codehaus.groovy.grails.commons.metaclass

## [Java] Class AbstractDynamicProperty

- org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty

- All Implemented Interfaces and Traits:
    DynamicProperty

      public abstract class AbstractDynamicProperty
      extends java.lang.Object

  An abstract class for implementors of dynamic getters to implement.

  Authors:
    Graeme Rocher

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractDynamicProperty (java.lang.String propertyName)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `get(java.lang.Object object)`
    `java.lang.String` | `getPropertyName()`
    `boolean` | `isPropertyMatch(java.lang.String propName)`
    `void` | `set(java.lang.Object object, java.lang.Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public AbstractDynamicProperty(java.lang.String propertyName)

  - ### Method Detail

    - #### public java.lang.Object get(java.lang.Object object)

    - #### public java.lang.String getPropertyName()

    - #### public boolean isPropertyMatch(java.lang.String propName)

    - #### public void set(java.lang.Object object, java.lang.Object newValue)